package cn.iocoder.yudao.module.mes.controller.admin.stockworkshop.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum StockWorkShopTypeEnum {

    投料出库("out"),
    领料入库("in"),
    损耗调整("clear");

    private final String value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static StockWorkShopTypeEnum fromValue(String value) {
        for (StockWorkShopTypeEnum status : StockWorkShopTypeEnum.values()) {
            if (status.getValue().equals(value)) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
}